/* generated using openapi-typescript-codegen -- do no edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { Status } from './Status';
export type WorkflowVersion = {
    /**
     * Status of the workflow version
     */
    status: Status;
    /**
     * ID of the corresponding workflow
     */
    workflow_id: string;
    /**
     * Version of the Workflow. Should follow semantic versioning
     */
    version: string;
    /**
     * Hash of the git commit
     */
    git_commit_hash: string;
    /**
     * URL of the icon for this workflow version
     */
    icon_url?: (string | null);
    /**
     * Timestamp when the version was created as UNIX timestamp
     */
    created_at: number;
    /**
     * Optional modes his workflow version has
     */
    modes?: Array<string>;
};

