/* generated using openapi-typescript-codegen -- do no edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { Status } from './Status';
export type ResourceVersionOut = {
    /**
     * Short tag describing the version of the resource
     */
    release: string;
    /**
     * Status of the resource version
     */
    status: Status;
    /**
     * ID of the resource version
     */
    resource_version_id: string;
    /**
     * ID of the resource
     */
    resource_id: string;
    /**
     * Timestamp when the version was created as UNIX timestamp
     */
    created_at: number;
    /**
     * Path to the resource on the cluster if the resource is synchronized
     */
    readonly cluster_path: (string | null);
    /**
     * Path to the resource in the S3 Bucket. Not publicly available.
     */
    readonly s3_path: string;
};

