/* generated using openapi-typescript-codegen -- do no edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { WorkflowModeIn } from './WorkflowModeIn';
export type DevWorkflowExecutionIn = {
    /**
     * Parameters for this workflow
     */
    parameters: Record<string, any>;
    /**
     * S3 Path where to save logs and reports. If None, nothing will be uploaded.
     */
    logs_s3_path?: (string | null);
    /**
     * S3 Path where to save provenance information. If None, nothing will be uploaded.
     */
    provenance_s3_path?: (string | null);
    /**
     * S3 Path where to save debug information from Nextflow. If None, nothing will be uploaded.
     */
    debug_s3_path?: (string | null);
    /**
     * Hash of the git commit
     */
    git_commit_hash: string;
    /**
     * URL to the Git repository belonging to this workflow
     */
    repository_url: string;
    /**
     * Token to access the content git repository
     */
    token?: (string | null);
    /**
     * Mode of the workflow with an alternative entrypoint
     */
    mode?: (WorkflowModeIn | null);
};

