/* generated using openapi-typescript-codegen -- do no edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { WorkflowModeOut } from '../models/WorkflowModeOut';
import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';
export class WorkflowModeService {
    /**
     * Get workflow mode
     * Get a workflow mode
     *
     * Permission 'workflow:read' required
     * @param modeId ID of a workflow mode
     * @returns WorkflowModeOut Successful Response
     * @throws ApiError
     */
    public static workflowModeGetWorkflowMode(
        modeId: string,
    ): CancelablePromise<WorkflowModeOut> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/workflow_modes/{mode_id}',
            path: {
                'mode_id': modeId,
            },
            errors: {
                400: `Error decoding JWT Token`,
                403: `Not authenticated`,
                404: `Entity not Found`,
                422: `Validation Error`,
            },
        });
    }
}
