/* eslint-disable @typescript-eslint/ban-ts-comment */
// @ts-ignore
const windowEnv: Record<string, string> = window["env"];
export const environment: env = {
  S3_URL: windowEnv["s3Url"],
  S3PROXY_API_BASE_URL: windowEnv["s3proxyApiUrl"],
  AUTH_API_BASE_URL: windowEnv["authApiUrl"],
  WORKFLOW_API_BASE_URL: windowEnv["workflowApiUrl"],
  RESOURCE_API_BASE_URL: windowEnv["resourceApiUrl"],
  DEV_SYSTEM: windowEnv["devSystem"].toLowerCase() === "true",
};

type env = {
  S3_URL: string;
  S3PROXY_API_BASE_URL: string;
  AUTH_API_BASE_URL: string;
  WORKFLOW_API_BASE_URL: string;
  RESOURCE_API_BASE_URL: string;
  DEV_SYSTEM: boolean;
};
